> For the complete documentation index, see [llms.txt](https://docs.solflare.com/solflare/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.solflare.com/solflare/technical/deeplinks/provider-methods/disconnect.md).

# Disconnect

After the initial [Connect](https://docs.solflare.com/solflare/technical/deeplinks/provider-methods/connect) event, an app may disconnect from Solflare at any time. When Solflare is disconnected, it will reject all signature requests until a new connection is established.

### Base URL

```
https://solflare.com/ul/v1/disconnect
```

### Query String Parameters

* `dapp_encryption_public_key` **(required)**: The app's original encryption public key for an existing Connect session.
* `nonce` **(required)**: A base58-encoded nonce is used to encrypt the request.
* `redirect_link` **(required)**: Solflare should redirect the user to this URI after completion. For more information, please see [Specifying Redirects](https://docs.solflare.com/solflare/technical/deeplinks/specifying-redirects). URL-encoded.
* `payload` **(required)**: An encrypted JSON string with the following fields:

  ```json
  {
      "session": "...", // token received from the connect method
  }
  ```

  * `session` **(required)**: The session token received from the Connect method. Please see [Handling Sessions](https://docs.solflare.com/solflare/technical/deeplinks/handling-sessions) for more details.

### Returns

#### Approve

No query params are returned.

#### Reject

An `errorCode` and `errorMessage` as query parameters.&#x20;

Please see [Errors](https://docs.solflare.com/solflare/technical/deeplinks/limitations#errors) for a complete list of possible error codes.

```
{
  "errorCode": "...",
  "errorMessage": "..."
}
```

### Example

Please refer to the [disconnect](https://github.com/solflare-wallet/deep-link-sample-app/blob/master/App.tsx#L196-L211) method implemented in our demo application.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.solflare.com/solflare/technical/deeplinks/provider-methods/disconnect.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
